#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "importwidget.h"
#include "todaywidget.h"
#include "historywidget.h"

QT_BEGIN_NAMESPACE
namespace Ui
{
    class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget* parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushButton_import_clicked();

    void on_pushButton_today_clicked();

    void on_pushButton_history_clicked();

    void on_pushButton_7_clicked();

private:
    void testStocks();
    void testLimitUpStocks();
private:
    Ui::MainWindow* ui;
    ImportWidget* m_importWidget;
    TodayWidget* m_todayWidget;
    HistoryWidget* m_historyWidget;
};
#endif // MAINWINDOW_H
